org.apache.flume.sink

## Class LoggerSink

- java.lang.Object
- - org.apache.flume.sink.AbstractSink
  - - org.apache.flume.sink.LoggerSink

- All Implemented Interfaces:
    Configurable, LifecycleAware, NamedComponent, Sink

      public class LoggerSink
      extends AbstractSink
      implements Configurable

  A `Sink` implementation that logs all events received at the INFO level to the `org.apache.flume.sink.LoggerSink` logger.

  WARNING: Logging events can potentially introduce performance degradation.

  Configuration options

  This sink has no configuration parameters.

  Metrics

  TODO

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.flume.Sink

      `Sink.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_BYTE_DUMP`
    `static String` | `MAX_BYTES_DUMP_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerSink()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `Sink.Status` | `process()` Requests the sink to attempt to consume data from attached channel

    - ### Methods inherited from class org.apache.flume.sink.AbstractSink

      `getChannel, getLifecycleState, getName, setChannel, setName, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_BYTE_DUMP

          public static final int DEFAULT_MAX_BYTE_DUMP

      See Also:
        Constant Field Values

    - #### MAX_BYTES_DUMP_KEY

          public static final String MAX_BYTES_DUMP_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LoggerSink

          public LoggerSink()

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### process

          public Sink.Status process()
                              throws EventDeliveryException

      Description copied from interface: `Sink`

      Requests the sink to attempt to consume data from attached channel

      Note: This method should be consuming from the channel within the bounds of a Transaction. On successful delivery, the transaction should be committed, and on failure it should be rolled back.

      Specified by:
        `process` in interface `Sink`
      Returns:
        READY if 1 or more Events were successfully delivered, BACKOFF if no data could be retrieved from the channel feeding this sink
      Throws:
        `EventDeliveryException` - In case of any kind of failure to deliver data to the next hop destination.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.